.flex-centering {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.flex-centering:hover {
    background-color: #ff4f04;
}

.p-caret {
    color: #fff;
    padding: 0 20px;
    font-size: 0.90rem;
    cursor: pointer;
}

.top-second-bar {
    min-height: 40px;
    background: #fff;
    padding-left: 15px;
    padding-right: 15px;
    border-bottom: 1px solid #eaeaea;
    z-index: 1031;
}

.form-top-bar input::placeholder {
    font: 12px/3 sans-serif;
}

.icon-top-bar i {
    margin-right: 20px;
}

/* ------ */

.img-product {
    margin: auto;
    width: 75%;
}

.title-product {
    text-transform: uppercase;
    padding: 0 30px;
    margin: auto;
    font-size: 14px;
    margin-bottom: 20px;
}

.btn-product {
    margin: auto;
    padding-right: 25px;
    padding-left: 25px;
    margin-bottom: 10px;
    border-radius: 50px;
    border: none;
    font-size: 14px;
    color: #1e71ff;
    background-color: #e1ecff;
    font-weight: 700;

}

.container-btn {
    margin-top: 40px;
}

/* section our location */
.our-location {
    background-color: #fff;
    padding-top: 2rem;
    min-height: 350px;
}

.mapouter {
    position: relative;
    text-align: right;
    height: 350px;
    width: 100%;
}

.gmap_canvas {
    overflow: hidden;
    background: none !important;
    height: 350px;
    width: 100%;
}

/* end of section our location */

/* ....... */
.owl-carousel {
    position: relative;
}

.owl-carousel .owl-item {
    opacity: 1;
}

.owl-carousel .owl-item.active {
    opacity: 1;
}

.owl-carousel .owl-nav {
    position: absolute;
    width: 100%;
}

.owl-carousel .owl-nav .owl-prev,
.owl-carousel .owl-nav .owl-next {
    position: absolute;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    margin-top: -60px;
    color: rgba(0, 0, 0, 0.5) !important;
    -webkit-transition: 0.7s;
    -o-transition: 0.7s;
    transition: 0.7s;
    opacity: 0;
}

@media (prefers-reduced-motion: reduce) {

    .owl-carousel .owl-nav .owl-prev,
    .owl-carousel .owl-nav .owl-next {
        -webkit-transition: none;
        -o-transition: none;
        transition: none;
    }
}

.owl-carousel .owl-nav .owl-prev span:before,
.owl-carousel .owl-nav .owl-next span:before {
    font-size: 30px;
}

.owl-carousel .owl-nav .owl-prev {
    left: 0;
}

.owl-carousel .owl-nav .owl-next {
    right: 0;
}

.owl-carousel .owl-dots {
    text-align: center;
    margin-top: 20px;
}

.owl-carousel .owl-dots .owl-dot {
    width: 10px;
    height: 10px;
    margin: 5px;
    border-radius: 50%;
    background: rgba(0, 0, 0, 0.1);
    position: relative;
}

.owl-carousel .owl-dots .owl-dot:hover,
.owl-carousel .owl-dots .owl-dot:focus {
    outline: none !important;
}

.owl-carousel .owl-dots .owl-dot.active {
    background: #1089ff;
}

.owl-carousel:hover .owl-nav .owl-prev,
.owl-carousel:hover .owl-nav .owl-next {
    opacity: 1;
}

.owl-carousel:hover .owl-nav .owl-prev {
    left: -25px;
}

.owl-carousel:hover .owl-nav .owl-next {
    right: -25px;
}

.owl-carousel.owl-drag .owl-item {
    -ms-touch-action: pan-y;
    touch-action: pan-y;
}


/* Product Compare */
.compare-header {
    line-height: 30px;
    padding: 15px;
    border: none;
    /* box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px; */
}

.compare-content {
    margin: 10px;
}

.btn-compare {
    border-radius: 0px 0px 5px 5px;
}

.list-product-compare {
    /* display: none; */
}

.list-product-compare .widget-product {
    margin-top: 15px;
    margin-bottom: 15px !important;
    height: 200px;
    text-align: center;
}

.list-product-compare .widget-product li {
    padding: 0px;
}

.list-product-compare .widget-product img {
    height: 140px;
    /* padding: 5px; */
    object-fit: scale-down;
    margin: auto;
}

.list-product-compare .widget-product h4 {
    margin: 0px;
}

.widget ul {
    list-style-type: none;
    margin: 10px 5px;
    padding: 0px;
}

.white-box {
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    width: 300px;
    height: 235px;
    margin: 10px;
}

.box-shadow {
    box-shadow: rgba(149, 157, 165, 0.2)
}

.product-compare {
    margin: 15px;
    overflow-x: scroll;
}

.ready-login {
    margin-top: 10px;
    text-align: center;
    font-size: 12px;
}

.ready-login a {
    color: blue;
}

.fa-heart .badge {
    position: absolute;
    top: -5px;
    padding: 2px 5px;
    border-radius: 50%;
    background: red;
    color: white;
}

.fa-heart:hover {
    color: red;
}

.fa-shopping-cart .badge {
    position: absolute;
    top: -5px;
    padding: 2px 5px;
    border-radius: 50%;
    background: red;
    color: white;
}

.fa-shopping-cart:hover {
    color: red;
}

.fa-user:hover {
    color: red;
}

.bg-gray {
    background-color: #f8f9fa;
}

.container-order {
    margin: 30px;
    min-height: 320px;
}

.order-header {
    width: 100%;
    background-color: #343a40;
    padding: 10px;
}

.container-order-detail {
    min-height: 320px;
}

.order-header-detail {
    width: 100%;
    background-color: #343a40;
    padding: 10px;
}

/* ------------ 01-10-2022 */

.site-section {
    padding: 2.5em 0;
}

@media (min-width: 768px) {
    .site-section {
        padding: 1em 0;
    }
}

.site-section.site-section-sm {
    padding: 4em 0;
}

.site-section-heading {
    font-size: 30px;
    color: #25262a;
    position: relative;
}

.site-section-heading:before {
    content: "";
    left: 0%;
    top: 0;
    position: absolute;
    width: 40px;
    height: 2px;
    background: #7971ea;
}

.site-section-heading.text-center:before {
    content: "";
    left: 50%;
    top: 0;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    position: absolute;
    width: 40px;
    height: 2px;
    background: #7971ea;
}

.site-blocks-2 .block-2-item {
    display: block;
    position: relative;
}

.site-blocks-2 .block-2-item:before {
    z-index: 1;
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: -moz-linear-gradient(top, transparent 0%, transparent 18%, rgba(0, 0, 0, 0.8) 99%, rgba(0, 0, 0, 0.8) 100%);
    background: -webkit-linear-gradient(top, transparent 0%, transparent 18%, rgba(0, 0, 0, 0.8) 99%, rgba(0, 0, 0, 0.8) 100%);
    background: -webkit-gradient(linear, left top, left bottom, from(transparent), color-stop(18%, transparent), color-stop(99%, rgba(0, 0, 0, 0.8)), to(rgba(0, 0, 0, 0.8)));
    background: -o-linear-gradient(top, transparent 0%, transparent 18%, rgba(0, 0, 0, 0.8) 99%, rgba(0, 0, 0, 0.8) 100%);
    background: linear-gradient(to bottom, transparent 0%, transparent 18%, rgba(0, 0, 0, 0.8) 99%, rgba(0, 0, 0, 0.8) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00000000', endColorstr='#cc000000', GradientType=0);
}

.site-blocks-2 .block-2-item .image {
    position: relative;
    margin-bottom: 0;
    overflow: hidden;
}

.site-blocks-2 .block-2-item .image img {
    margin-bottom: 0;
    -webkit-transition: .3s all ease-in-out;
    -o-transition: .3s all ease-in-out;
    transition: .3s all ease-in-out;
}

.site-blocks-2 .block-2-item .text>span,
.site-blocks-2 .block-2-item .text h3 {
    color: #fff;
}



.site-blocks-2 .block-2-item:hover .image img {
    -webkit-transform: scale(1.1);
    -ms-transform: scale(1.1);
    transform: scale(1.1);
}

/* .... 06-10-2022 */

/*---------------------
  Product Details
-----------------------*/
.text-red-primary {
    color: #d70000;
}

.bg-gray-secondary {
    background-color: #eeeeee;
}

.mr-10p {
    margin-right: 10px;
}

.line-through {
    text-decoration: line-through;
    color: #868686;
}

.devider-v {
    border-left: 2px solid #646464;
    height: 30px;
    margin: 0 10px;
}

.devider-h {
    border-top: 2px solid #eeeeee;
    width: 100%;
}


.label-discount {
    background: #d70000;
    color: #fff;
    padding: 5px 10px;
    border-radius: 10px;
    margin-right: 5px;
    font-size: 18px;
}

.box-spec-comp {
    width: 75%;
    background-color: #eee;
    border-radius: 5px;
    padding: 0 20px;
    align-items: center;
}

.box-spec-comp h5 {
    font-size: 16px;
    color: #222;
    margin: 0;
}

.box-order {
    border-radius: 10px;
    background-color: #eeeeee;
    width: 100%;
    min-height: 200px;
}

.box-v-image {
    margin: 0 20px 20px 20px;
    border: 1px solid #222;
    border-radius: 10px;
}

.box-specification {
    margin: 20px 0px;
    font-size: 14px;
    color: #222;
}

.text-merah {
    color: #c60505;
}

.btn-biru {
    background-color: #104798;
    color: #fff;
    font-size: 11pt;
    font-weight: 600;
}

.btn-merah {
    background-color: #d70000;
    color: #fff;
    font-size: 11pt;
    font-weight: 600;
}

.btn-merah:hover {
    background-color: #c60505;
    color: #CDD7E2;
}

.btn-biru:hover {
    background-color: #0d3f8a;
    color: #CDD7E2;
}

.title-description {
    background-color: #eeeeee;
    padding: 10px;
}

.content-description {
    padding: 10px 7px;
    text-align: justify;
}

.list-rating {
    list-style: none;
    margin: 0;
    padding: 0;
    justify-items: center;
}

.star-color {
    color: #f24e1e;
}

.avarage-rating {
    font-size: 35pt;
    font-weight: 700;
    color: #222;

}

.customer-img {
    border-radius: 20px;
    width: 50px;
    border: 1px solid #eee;
}

.box-img-review {
    margin-bottom: 10px;
    margin-right: 10px;
}

.box-img-review img {
    width: 100px;
    border: 1px solid #eee;
}

#myCarousel .carousel-indicators {
    position: static;
    list-style: none;
    margin: 0;
    padding: 0;
}

#myCarousel #carausel-indicator-img .carousel-indicators>li {
    border: 1px solid #eee;
    width: 65px;
    /* margin-bottom: 10px; */
}

#myCarousel #carausel-indicator-img .carousel-indicators li img {
    display: block;
    opacity: 0.5
}

#myCarousel #carausel-indicator-img .carousel-indicators li.active img {
    border: 1px solid #ff6c6c;
    opacity: 1
}

#myCarousel #carausel-indicator-img .carousel-indicators li:hover img {
    opacity: 0.75
}

.borderless {
    border: none;
}

.borderless td,
.borderless th {
    border: none;
}

/* COUNTDOWN */
.box-countdown {
    width: 100%;
    text-align: right;
    margin-top: 30px;
}

/* END OF COUNTDOWN */

.img-fluid-collection {
    width: 100%;
    height: 600px;
    object-fit: cover;
}

.box-level1 {
    background-color: #343A40;
    padding: 10px;
    margin: 5px;
}

.box-level1:hover {
    background-color: #23272b;
    padding: 10px;
    margin: 5px;
}

.box-level2 {
    background-color: #eee;
    padding: 10px;
    margin: 5px;
}

.box-level2:hover {
    background-color: #cbcbcb;
}

.box-level3 .accordion-toggle .accordion-heading:hover {
    background-color: #eee;
    /* padding: 10px; */
    /* margin: 5px; */
}

.box-level1 .accordion-toggle.active .accordion-heading {
    color: greenyellow;
    font-weight: 700;
}

.box-level2 .accordion-toggle.active .accordion-heading {
    color: #FF4F04;
    font-weight: 700;
}

.box-level3 .accordion-toggle.active .accordion-heading {
    color: #FF4F04;
    font-weight: 700;
}

.box-level1 a .accordion-heading {
    width: 100%;
    color: #fff;
    text-transform: uppercase;
    font-size: 14px;
}

.icon-for-child:after {
    font-family: "Font Awesome 5 Free";
    content: "\f107";
    color: #fff;
    font-weight: bold;
    float: right;
    margin-left: 5px;
    margin-right: 5px;
}

.active .icon-for-child:after {
    content: '\f105';
}

.box-level2 a .icon-for-child:after {
    font-family: "Font Awesome 5 Free";
    content: "\f107";
    color: #222;
    font-weight: bold;
    float: right;
    margin-left: 5px;
    margin-right: 5px;
}

.box-level2 .active .icon-for-child:after {
    content: '\f105';
}

/* .box-level1 a .accordion-heading:after {
    content: '\002B';
    color: #fff;
    font-weight: bold;
    float: right;
    margin-left: 5px;
    margin-right: 5px;
}

.box-level1 .active .accordion-heading:after {
    content: "\2212";
} */


.box-level2 a .accordion-heading {
    width: 100%;
    color: #222;
    text-transform: uppercase;
    font-size: 14px;
}

/* .box-level2 a .accordion-heading:after {
    content: '\002B';
    color: #222;
    font-weight: bold;
    float: right;
    margin-left: 5px;
    margin-right: 5px;
}

.box-level2 .active .accordion-heading:after {
    content: "\2212";
} */

.box-level3 a .accordion-heading {
    width: 100%;
    color: #222;
    text-transform: uppercase;
    font-size: 14px;
}

/* .box-level3 a .accordion-heading:after {
    display: none;
}

.box-level3 .active .accordion-heading:after {
    display: none;
} */

.dropdown-main ul {
    top: 0px;
    left: 170px;
    display: none;
    visibility: hidden;
    border: 1px solid #DDDDDD;
}

.color-filter {
    filter: invert(45%) sepia(81%) saturate(4607%) hue-rotate(335deg) brightness(102%) contrast(101%);
}